> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete duplicate rows

> Delete duplicate rows, keeping the oldest of each group. Omit columns to compare every main column.



## OpenAPI

````yaml POST /v1/table/{table_uuid}/rows/dedupe
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/table/{table_uuid}/rows/dedupe:
    post:
      tags:
        - Table
      summary: Delete duplicate rows
      description: >-
        Delete duplicate rows, keeping the oldest of each group. Omit columns to
        compare every main column.
      operationId: dedupe_rows
      parameters:
        - name: table_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The UUID of the table.
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DedupeRows'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DedupeRowsResult'
        '401':
          description: Missing or invalid API key
        '404':
          description: Not found
components:
  schemas:
    DedupeRows:
      type: object
      title: DedupeRows
      properties:
        columns:
          type:
            - array
            - 'null'
          items:
            type: string
            format: uuid
          description: Column UUIDs to compare. Omit to compare every main column.
    DedupeRowsResult:
      type: object
      title: DedupeRowsResult
      properties:
        count_all_rows:
          type: integer
        count_rows_delete:
          type: integer
      required:
        - count_all_rows
        - count_rows_delete

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.